/* 
 * $Id: main.c,v 1.2 2001/01/17 19:43:52 mpeppler Exp $
 *
 * main.c     -  main() for bcptool.
 *
 * Copyright (C) 2001 by Michael Peppler
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, write to the Free Software
 * Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * You may contact the author :
 *   e-mail:  mpeppler@peppler.org
 *
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"

#include "bcptool.h"

int
main (int argc, char *argv[])
{
    char title[80];
    GtkWidget *widget;

    gtk_set_locale ();
    gtk_init (&argc, &argv);

    add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
    add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");
    
    db_init();

    /*
     * The following code was added by Glade to create one of each component
     * (except popup menus), just so that you see something after building
     * the project. Delete any components that you don't want shown initially.
     */
    window1 = create_window1 ();
    sprintf(title, "BCPtool %s **ALPHA**", VERSION);
    gtk_window_set_title (GTK_WINDOW(window1), title);
    window2 = create_window2 ();
//  gtk_widget_show (window2);
    dialog1 = create_dialog1 ();
    dialog2 = create_dialog2 ();
//  gtk_widget_show (dialog1);
    window3 = create_window3 ();
    window4 = create_window4 ();
    
    /* do some customization */

    widget = lookup_widget(window1, "clist1");
    gtk_clist_set_column_justification
	( GTK_CLIST ( widget ), 1, GTK_JUSTIFY_RIGHT );
    gtk_clist_set_column_justification
	( GTK_CLIST ( widget ), 2, GTK_JUSTIFY_RIGHT );

    widget = lookup_widget(window3, "clist2");
    gtk_clist_set_column_justification
	( GTK_CLIST ( widget ), 1, GTK_JUSTIFY_RIGHT );
    gtk_clist_set_column_justification
	( GTK_CLIST ( widget ), 2, GTK_JUSTIFY_RIGHT );

    widget = lookup_widget(window4, "clist3");
    gtk_clist_set_column_justification
	( GTK_CLIST ( widget ), 1, GTK_JUSTIFY_RIGHT );
//    gtk_clist_set_column_justification
//	( GTK_CLIST ( widget ), 2, GTK_JUSTIFY_RIGHT );

    widget = lookup_widget(window1, "start_btn");
    gtk_widget_set_sensitive(widget, 0);
    
    gtk_widget_show (window1);

    gtk_main ();
    return 0;
}

